Skip to content

Get all answered challenges

GET
/audit/sessions/{sessionId}/challenges
curl --request GET \
--url https://example.com/audit/sessions/example/challenges

Get all the answered challenges from a session, identified by investigation(s) and field.

sessionId
required
string

Unique identifier for the session

List of answered challenges

Media type application/json
Array<object>
object
id
string format: uuid
locator

Uniquely identifies a challenge presented to a user within a session.

The investigationId and field describe what data was requested from the user in the challenge.

object
challengeId
string format: uuid
investigationId
string format: uuid
field
string
qResponse
One of:
object
cType
string
Allowed values: price
value
string
/^\d+\.\d{2}$/
Example
[
{
"qResponse": {
"cType": "price"
}
}
]